/*
 * Author:
 *         Kendy Kutzner <kutzner@ira.uka.de>
 *
 * (c) 2005 Research Group Dr. Fuhrmann, University of Karlsruhe, Germany
 * All rights reserved.
 *
 * $Id: transport.h,v 1.5 2005/11/21 10:46:57 kutzner Exp $
 *
 */

#ifndef _TRANSPORT_H_
#define _TRANSPORT_H_

#include <string>
using namespace std;

class transport {
	public:
		transport();
		transport(string);
		string tostring() const ;
		string host() const ;
		int port() const ;
		void sethost(string);
		void setport(int);
		bool empty() const {return _empty;}
		bool operator==(transport &) const ;
	protected:
		void parsetransport(string s);
	private:
		string _host;
		int _port;
		bool _empty;
		bool _port_set;
		bool _host_set;
};

#endif //  _TRANSPORT_H_

